Subject: Re: Kernel crash after using new Intel NIC (igb)

From: Maximilian Engelhardt <[email-masked]>
Date: Wed, 13 Jul 2011 15:38:21 +0200

On Friday 27 May 2011 05:27:11 Eric Dumazet wrote:
> Le jeudi 26 mai 2011 à 17:09 -0700, Arun Sharma a écrit :
> > On 5/26/11 3:01 PM, Eric Dumazet wrote:
> > >> Yeah - using the refcnt seems better than list_empty(), but I'm not
> > >> sure that your patch addresses the race above.
> > > 
> > > It does.
> > 
> > True. I can't find any holes in this method and it resolves the "failure
> > to unlink from unused" case.
> > 
> > Perhaps wrap the while(1) loop into its own primitive in atomic.h or use
> > an existing primitive?
> 
> Sure, here is a formal submission I cooked.
> 
> Thanks

Thank you for your patch. We have it running now for some time and didn't 
observe any crashes.

I have one question left. We want to install the same card in another server 
that is currently running Debian stable with a 2.6.32 kernel. Is this bug also 
present in that version or has it been introduces afterwards? This server is 
used by many people for Internet access, so it would be quite bad if it 
crashes.

Thanks again for your work on the patch.

Greetings,
Maxi